PFSEARCHV3(1)

NAME
pfsearchV3 - search protein and DNA generalized profiles (version 3)

SYNOPSIS
pfsearch [options] profile database

DESCRIPTION
Build protein and DNA generalized profiles and use them to scan and align sequences, and search databases.

OPTIONS

  Profile

--level
    [-l] : level to use for cutoff

--mode
    [-m] : mode to use for normalization

  Database

--create-index-database
    [-c] : output indices to given file

--use-index-database
    [-i] : use indices stored in given file

  Heuristic

--cutoff
    [-C] : heuristic cutoff value

--dump-heuristic-scores
    [-A] : only print heuristic scores to stdout

--dump-heuristic-sequences [-D] : dump passed heuristic sequences

  Filter

--dump-filter-scores
    [-a] : only print filter scores to stdout

--dump-filter-sequences
    [-d] : dump passed heuristic and filter sequences

  Optimizations

--sse2
    [-s] : enforces SSE 2 only instruction set

--nthreads
    [-t] : max number of threads to use

--max-heuristic-nthreads
    [-T] : max number of threads to use for heuristic phase only. (IO bounds)

--no-affinity
    [-f] : disable CPU affinity file

--thread-affinity
    [-M] : file containing thread mask, one row for one thread

--no-shared-core
    [-k] : Prevent core resource sharing

--split
    [-b] : if both SSE 2 & 4.1 are available, split half-half using linked resources

  Printing output

--output-method
    [-o] : printing output method

    == 0 replicates the pfseach output without options (DEFAULT)

    == 1 simple output

    == 2 replicates pfsearch -lxz output

    == 3 replicates pfscan -lxz output

    == 4 tsv output (single line tab delimited)

--output-length
    [-W] : maximum number of column for sequence output printing

  Other

--verbose
    [-v] : verbose on stderr

--help
    [-h] : output command help

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.